Skip to main content
List certificate enrollment profiles
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Query Parameters

namePattern
string

query param : "name-pattern" . Search * namePattern * in name field to filter records

summary
boolean

Only summary of the records required

showProjectsList
boolean

If true, include the list of projects referencing each CEP profile

next.pageToken
string

Page Token

next.orderBy
string[]

OrderBy helps in sorting the list response

next.pageNum
number<int64>

Page Number

next.pageSize
number<int64>

Defines the page size

next.totalPages
number<int64>

Total number of pages to be fetched.

Response

A successful response.

Paginated list of SCEP profiles

list
SCEP Profile · object[]

List of SCEP profiles

next
Cursor is used as filter in list operation. · object

Pagination cursor for next page